=== debian/changelog ===
linux (4.6-0tanglu1) staging; urgency=medium

  * Linux 4.6 for Tanglu 4 (Dasyatis)

 -- Matthias Klumpp <mak@debian.org>  Sun, 22 May 2016 10:28:14 +0200

linux (4.6-1~exp1) experimental; urgency=medium

  * New upstream release: http://kernelnewbies.org/Linux_4.6

  [ Ben Hutchings ]
  * Re-apply "[media] videobuf2-v4l2: Verify planes array in buffer dequeueing",
    reverted upstream in 4.6
  * [arm64] Enable RANDOMIZE_BASE (kASLR)
  * [armhf] dsa: Enable NET_DSA_MV88E6123 as module, replacing
    NET_DSA_MV88E6123_61_65

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 17 May 2016 02:39:47 +0100

linux (4.6~rc7-1~exp1) experimental; urgency=medium

  * New upstream release candidate

  [ Ben Hutchings ]
  * [hppa] Enable MLONGCALLS (fixes FTBFS)
  * [alpha] fs: Disable BINFMT_EM86 (obsoleted by binfmt_misc; fixes FTBFS)

  [ Aurelien Jarno ]
  * [mips*/octeon] Enable EDAC, EDAC_MM_EDAC, EDAC_OCTEON_L2C,
    EDAC_OCTEON_LMC, EDAC_OCTEON_PC, EDAC_OCTEON_PCI.

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 09 May 2016 03:39:32 +0100

linux (4.6~rc5-1~exp1) experimental; urgency=medium

  * New upstream release candidate

  [ Ben Hutchings ]
  * [armhf] Enable EFI, RTC_DRV_EFI
  * Update config for renaming/removal/replacement/merging/splitting of various
    symbols
  * *lockdep*,linux-perf: Remove '-rcN' from installation paths

  [ Martin Michlmayr ]
  * [armel, armhf] Use new Marvell CESA driver.
  * [arm64] Enable support for NVIDIA Tegra.
  * [arm64] udeb: Create fb-modules.

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 29 Apr 2016 10:40:36 +0200

linux (4.6~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate

  [ Ben Hutchings ]
  * aufs: Update support patches to aufs4.x-rcN-20160328

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 14 Apr 2016 23:55:15 +0100

linux (4.5.4-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.5.4
    - RDMA/iw_cxgb4: Fix bar2 virt addr calculation for T4 chips
    - net/mlx5_core: Fix caching ATOMIC endian mode capability
    - ipvs: handle ip_vs_fill_iph_skb_off failure
    - ipvs: correct initial offset of Call-ID header search in SIP persistence
      engine
    - ipvs: drop first packet to redirect conntrack
    - rtlwifi: Fix size of wireless mode variable
    - [x86] mfd: intel-lpss: Remove clock tree on error path
    - nbd: ratelimit error msgs after socket close
    - null_blk: add lightnvm null_blk device to the nullb_list
    - [arm64] ata: ahci_xgene: dereferencing uninitialized pointer in probe
    - [armhf] wlcore: fix error handling in wlcore_event_fw_logger
    - ath10k: fix pktlog in QCA99X0
    - mwifiex: fix corner case association failure
    - clk-divider: make sure read-only dividers do not write to their register
    - [armhf] clk: rockchip: fix wrong mmc phase shift for rk3228
    - [armhf] clk: rockchip: free memory in error cases when registering clock
      branches
    - [armel/versatile] clk: versatile: sp810: support reentrance
    - [armhf] clk: sunxi: Fix sun8i-a23-apb0-clk divider flags
    - [arm64] clk: xgene: Add missing parenthesis when clearing divider value
    - [armhf] clk: bcm2835: fix check of error code returned by
      devm_ioremap_resource()
    - [armhf] pwm: omap-dmtimer: Fix inaccurate period and duty cycle
      calculations
    - [armhf] pwm: omap-dmtimer: Add sanity checking for load and match values
    - [armhf] pwm: omap-dmtimer: Round load and match values rather than
      truncate
    - lpfc: fix misleading indentation
    - gpiolib-acpi: Duplicate con_id string when adding it to the crs lookup
      list
    - ath9k: ar5008_hw_cmn_spur_mitigate: add missing mask_m & mask_p
      initialisation
    - mac80211: fix statistics leak if dev_alloc_name() fails
    - tracing: Don't display trigger file for events that can't be enabled
    - MD: make bio mergeable
    - Minimal fix-up of bad hashing behavior of hash_64()
    - mm: memcontrol: let v2 cgroups follow changes in system swappiness
    - [armhf] mm, cma: prevent nr_isolated_* counters from going negative
    - mm/zswap: provide unique zpool name
    - propogate_mnt: Handle the first propogated copy being a slave
      (CVE-2016-4581)
    - modpost: fix module autoloading for OF devices with generic compatible
      property
    - [armhf] EXYNOS: Properly skip unitialized parent clock in power domain on
    - [armhf] SoCFPGA: Fix secondary CPU startup in thumb2 kernel
    - xen: Fix page <-> pfn conversion on 32 bit systems
    - xen/balloon: Fix crash when ballooning on x86 32 bit PAE
    - xen/evtchn: fix ring resize when binding new events
    - HID: wacom: Add support for DTK-1651
    - proc: prevent accessing /proc/<PID>/environ until it's ready
    - mm: update min_free_kbytes from khugepaged after core initialization
    - batman-adv: fix DAT candidate selection (must use vid)
    - batman-adv: Check skb size before using encapsulated ETH+VLAN header
    - batman-adv: Fix broadcast/ogm queue limit on a removed interface
    - batman-adv: Reduce refcnt of removed router when updating route
    - [x86] libnvdimm, pfn: fix memmap reservation sizing
    - writeback: Fix performance regression in wb_over_bg_thresh()
    - [x86] tsc: Read all ratio bits from MSR_PLATFORM_INFO
    - [arm64] cpuidle: Pass on arm_cpuidle_suspend()'s return value
    - [x86] sysfb_efi: Fix valid BAR address range check
    - [arm64] dts: apq8064: add ahci ports-implemented mask
    - ACPICA: Dispatcher: Update thread ID for recursive method calls
    - [powerpc*] Fix bad inline asm constraint in create_zero_mask()
    - libahci: save port map for forced port map
    - ata: ahci-platform: Add ports-implemented DT bindings.
    - USB: serial: cp210x: add ID for Link ECU
    - USB: serial: cp210x: add Straizona Focusers device ids
    - Revert "USB / PM: Allow USB devices to remain runtime-suspended when
      sleeping"
    - nvmem: mxs-ocotp: fix buffer overflow in read

