=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kernel-wedge (>= 2.93~) <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev <!stage1>, openssl <!stage1>, asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools>, flex <!stage1 !pkg.linux.notools>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools>, libaudit-dev <!stage1 !pkg.linux.notools>, libdw-dev <!stage1 !pkg.linux.notools>, libelf-dev <!stage1 !pkg.linux.notools>, libiberty-dev <!stage1 !pkg.linux.notools>, libnewt-dev <!stage1 !pkg.linux.notools>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools>, libperl-dev <!stage1 !pkg.linux.notools>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools>, python-dev <!stage1 !pkg.linux.notools>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, dh-systemd <!stage1 !pkg.linux.notools>, gcc-5 [alpha amd64 arm64 armel armhf hppa i386 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64] <!stage1>, binutils-hppa64-linux-gnu [hppa] <!stage1>, gcc-5-hppa64-linux-gnu [hppa] <!stage1>
Build-Depends-Indep: patchutils <!stage1>, xmlto <!stage1 !nodoc>
Homepage: https://www.kernel.org/
Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux.git
Vcs-Git: https://anonscm.debian.org/git/kernel/linux.git

Package: linux-source-4.6
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.6 with Debian patches
 This package provides source code for the Linux kernel version 4.6. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-support-4.6.0-trunk
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.6
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.6
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.6
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.6.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.6/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-manual-4.6
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 4.6
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-kbuild-4.6
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kbuild infrastructure for Linux 4.6
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 4.6.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: foreign

Package: linux-cpupower
Architecture: linux-any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux
 This package contains the 'power/cpupower' tools for Linux.
 .
 This set of userspace tools allow inspection and control of cpufreq and
 cpuidle tunables for hardware that support these features.  The "cpupower"
 command replaces "cpufreq-info" and "cpufreq-set" in cpufrequtils.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower0
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 This package contains the shared library.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Provides: libcpufreq-dev
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 This package contains the 'power/cpupower' headers and library shared
 objects.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: linux-perf-4.6
Architecture: alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-tools-4.6
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
Recommends: linux-base (>= 3.4~)
Suggests: linux-doc-4.6
Replaces: linux-tools-4.6
Conflicts: linux-tools-4.6
Description: Performance analysis tools for Linux 4.6
 This package contains the 'perf' performance analysis tools for Linux
 kernel version 4.6.
 .
 The linux-base package contains a 'perf' command which will invoke the
 appropriate version for the running kernel.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libusbip-dev
Architecture: linux-any
Section: libdevel
Depends: ${misc:Depends}
Description: USB device sharing system over IP network (development files)
 USB/IP is a system for sharing USB devices over the network.
 .
 This package provides headers for the libusbip library and the library
 itself for static linking.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: usbip
Architecture: linux-any
Section: admin
Depends: usbutils, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: hyperv-daemons
Architecture: amd64 i386 x32
Section: admin
Depends: lsb-base (>= 3.2-14), ${shlibs:Depends}, ${misc:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_fcopy_daemon, hv_kvp_daemon and hv_vss_daemon.
 .
 hv_fcopy_daemon provides the file copy service, allowing the host to copy
 files into the guest.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: lockdep
Architecture: all
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, liblockdep4.6
Recommends: liblockdep-dev
Description: Runtime locking correctness validator
 lockdep is a wrapper for programs that use the pthreads API, which detects
 actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: allowed

Package: liblockdep4.6
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime locking correctness validator (shared library)
 liblockdep is a library for programs that use the pthreads API, which can
 be used to detect actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: same

Package: liblockdep-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime locking correctness validator (development files)
 liblockdep is a library for programs that use the pthreads API, which can
 be used to detect actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: same

Package: linux-libc-dev
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips mips64 mips64el mipsel or1k powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-4.6.0-trunk-all
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64
Depends: linux-headers-4.6.0-trunk-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 4.6 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.6, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: linux-headers-4.6.0-trunk-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-4.6.0-trunk-alpha-generic (= ${binary:Version}), linux-headers-4.6.0-trunk-alpha-smp (= ${binary:Version})
Description: All header files for Linux 4.6 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.6, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: kernel-image-4.6.0-trunk-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: extra
Provides: kernel-image
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
Build-Profiles: <!stage1>
Kernel-Version: 4.6.0-trunk-alpha-generic
Package-Type: udeb

Package: nic-modules-4.6.0-trunk-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-4.6.0-trunk-alpha-generic-di, nic-shared-modules-4.6.0-trunk-alpha-generic-di, core-modules-4.6.0-trunk-alpha-generic-di, crc-modules-4.6.0-trunk-alpha-generic-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
