=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.6.0-trunk-alpha-generic [alpha], linux-image-4.6.0-trunk-alpha-smp [alpha], linux-image-4.6.0-trunk-amd64 [amd64], linux-image-4.6.0-trunk-arm64 [arm64], linux-image-4.6.0-trunk-marvell [armel], linux-image-4.6.0-trunk-versatile [armel], linux-image-4.6.0-trunk-armmp [armhf], linux-image-4.6.0-trunk-armmp-lpae [armhf], linux-image-4.6.0-trunk-parisc [hppa], linux-image-4.6.0-trunk-parisc64-smp [hppa], linux-image-4.6.0-trunk-686 [i386], linux-image-4.6.0-trunk-686-pae [i386], linux-image-4.6.0-trunk-m68k [m68k], linux-image-4.6.0-trunk-4kc-malta [mips mipsel], linux-image-4.6.0-trunk-5kc-malta [mips mipsel mips64 mips64el], linux-image-4.6.0-trunk-octeon [mips mipsel mips64 mips64el], linux-image-4.6.0-trunk-loongson-2e [mipsel], linux-image-4.6.0-trunk-loongson-2f [mipsel], linux-image-4.6.0-trunk-loongson-3 [mipsel mips64el], linux-image-4.6.0-trunk-powerpc [powerpc], linux-image-4.6.0-trunk-powerpc-smp [powerpc], linux-image-4.6.0-trunk-powerpc64 [powerpc ppc64], linux-image-4.6.0-trunk-powerpcspe [powerpcspe], linux-image-4.6.0-trunk-powerpc64le [ppc64el], linux-image-4.6.0-trunk-s390x [s390x], linux-image-4.6.0-trunk-sh7751r [sh4], linux-image-4.6.0-trunk-sh7785lcr [sh4], linux-image-4.6.0-trunk-sparc64 [sparc64], linux-image-4.6.0-trunk-sparc64-smp [sparc64]
Classes: smp
